=== debian/changelog ===
sassc (3.3.2-3) unstable; urgency=medium

  * Really fix embed version.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Mar 2016 19:12:08 +0100

sassc (3.3.2-2) unstable; urgency=medium

  * Fix embed version.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Mar 2016 19:04:30 +0100

sassc (3.3.2-1) unstable; urgency=low

  * Initial release.
    Closes: bug#694733.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Mar 2016 17:38:18 +0100
