=== debian/control ===
Source: sassc
Section: web
Priority: optional
Build-Depends: cdbs (>= 0.4.123~),
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper,
 dh-buildinfo,
 libsass-dev,
 help2man
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.7
Homepage: https://github.com/sass/sassc
Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/sassc.git

Package: sassc
Section: web
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: C/C++ port of the Sass CSS precompiler - command-line tool
 SassC is a C/C++ port of the Sass engine. The point is to be simple,
 fast, and easy to integrate.
 .
 Sass is a pre-processing language for CSS. It allows you to write
 cleaner stylesheets and makes collaboration on your CSS a breeze.
