## sassc 3.4.2

=== debian/changelog ===
sassc (3.4.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize Vcs-Browse field: Use git subdir.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info: Extend coverage of Debian packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 22 Jan 2017 12:49:05 +0100

sassc (3.4.0-2) unstable; urgency=medium

  * Fix tighten to build-depend versioned on libsass-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Dec 2016 01:13:23 +0100

sassc (3.4.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Update names and coverage of main authors.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Dec 2016 13:19:54 +0100

sassc (3.3.6-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Fix URL (bogusly tracked libsass project).
    + Use github pattern.
    + Add usage comment.
  * Update copyright info:
    + Fix coverage of packaging to include recent years.
  * Declare compliance with Debian Policy 3.9.8.
  * Update git-buildpackage config: Filter any .git* file.
  * Suppress copyright checking of ico file.
  * Update package relations:
    + Tighten build-dependency on cdbs.
    + Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Sep 2016 09:42:42 +0200
