=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: sassc
 Section: web
 Priority: optional
-Build-Depends: cdbs (>= 0.4.123~),
- devscripts,
+Build-Depends: cdbs (>= 0.4.131~),
+ licensecheck,
  libtool,
  automake,
  autoconf,
  debhelper,
  dh-buildinfo,
- libsass-dev,
+ libsass-dev (>= 3.4.0),
  help2man
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/sass/sassc
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/sassc.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/sassc.git
 
 Package: sassc
 Section: web
