=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2015-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for sassc
 #
 # This program is free software; you can redistribute it and/or modify
@@ -31,14 +31,12 @@
 DEB_UPSTREAM_URL = https://github.com/sass/sassc/archive
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
-CDBS_BUILD_DEPENDS +=, libsass-dev
+CDBS_BUILD_DEPENDS +=, libsass-dev (>= 3.4.0)
 
 # put aside upstream-shipped non-autotools Makefile during build
 DEB_UPSTREAM_CRUFT_MOVE = Makefile sassc_version.h
+
+DEB_COPYRIGHT_CHECK_IGNORE_EXTS = ico
 
 # create autotools files from scratch during build
 auxdir = script
