## sassc 3.4.5

=== debian/changelog ===
sassc (3.4.5-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on licensecheck.
      Relax to build-depend unversioned on cdbs.
    + Drop get-orig-source target: Use gbp import-orig --uscan.
  * Declare compliance with Debian Policy 4.1.1.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info: Use https protocol in file format URL.
  * Update watch file: Use substitution strings.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2017 20:48:08 +0200
