=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sassc
 Section: web
 Priority: optional
-Build-Depends: cdbs (>= 0.4.131~),
- licensecheck,
+Build-Depends: cdbs,
  libtool,
  automake,
  autoconf,
@@ -12,7 +11,7 @@
  help2man
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/sass/sassc
 Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/sassc.git
