=== debian/rules ===
--- 
+++ 
@@ -21,22 +21,14 @@
 DEB_AUTO_UPDATE_AUTOCONF = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
 DEB_AUTO_UPDATE_AUTOHEADER = ,
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 pkg = $(DEB_SOURCE_PACKAGE)
 
-DEB_UPSTREAM_URL = https://github.com/sass/sassc/archive
-DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
-
-CDBS_BUILD_DEPENDS +=, libsass-dev (>= 3.4.0)
-
 # put aside upstream-shipped non-autotools Makefile during build
 DEB_UPSTREAM_CRUFT_MOVE = Makefile sassc_version.h
-
-DEB_COPYRIGHT_CHECK_IGNORE_EXTS = ico
 
 # create autotools files from scratch during build
 auxdir = script
@@ -66,7 +58,6 @@
 
 # generate manpages based on --help of script itself
 manpages = $(patsubst %,debian/%.1,sassc)
-CDBS_BUILD_DEPENDS +=, help2man
 DEB_INSTALL_MANPAGES_$(pkg) = $(manpages)
 common-build-arch:: $(manpages)
 $(manpages): debian/%.1 : % build/$(pkg)
