## sassc 3.5.0

=== debian/changelog ===
sassc (3.5.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#888111. Thanks to George B.

  [ Anthony Fok ]
  * Update watch file: Fix typo in watch file usage comment.
  * Bump libsass-dev build dependency to >= 3.5.0.
  * Declare compliance with Debian Policy 4.1.4.
  * Point Vcs-* URLs to salsa.debian.org.
  * Add myself to the list of Uploaders.
  * Update copyright info:
    + Drop needless copyright signs.
    + Extend coverage for Debian packaging.
  * Copy unusually named Makefile.am to help CDBS notice it.

 -- Anthony Fok <foka@debian.org>  Thu, 05 Jul 2018 01:13:16 -0600
