=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
  autoconf,
  debhelper,
  dh-buildinfo,
- libsass-dev (>= 3.4.0),
+ libsass-dev (>= 3.5.0),
  help2man
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.1.1
+Uploaders: Jonas Smedegaard <dr@jones.dk>,
+ Anthony Fok <foka@debian.org>
+Standards-Version: 4.1.4
 Homepage: https://github.com/sass/sassc
-Vcs-Git: https://anonscm.debian.org/git/pkg-sass/sassc.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-sass/sassc.git
+Vcs-Git: https://salsa.debian.org/sass-team/sassc.git
+Vcs-Browser: https://salsa.debian.org/sass-team/sassc
 
 Package: sassc
 Section: web
