=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015-2017 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2015-2018 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for sassc
 #
 # This program is free software; you can redistribute it and/or modify
@@ -74,3 +74,10 @@
 	touch $@
 makefile-clean::
 	rm -f VERSION debian/stamp-set-version
+
+# copy unusually name Makefile.am to help CDBS notice it
+debian/stamp-autotools-files: Makefile.am
+Makefile.am:
+	cp -f GNUmakefile.am Makefile.am
+clean::
+	rm -f Makefile.am
