## sassc 3.6.1

=== debian/changelog ===
sassc (3.6.1-4) unstable; urgency=medium

  * watch: fix source URL
  * simplify source script copyright-chceck
  * copyright: update coverage
  * declare buildsystem explicitly (not in environment)
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Aug 2020 23:31:56 +0200

sassc (3.6.1-3) unstable; urgency=medium

  * add patch cherry-picked upstream
    to support environment variable SASS_PATH
  * watch:
    + shorten regexes
    + rewrite usage comment
  * simplify rules;
    use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat
    (not debhelper autoconf automake cdbs dh-autoreconf libtool)
  * set Rules-Requires-Root: no
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 09 Jun 2020 18:38:05 +0200

sassc (3.6.1-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0.
  * Tighten both build-dependency on libsass-dev and
    dependency on libsass1 to (>= 3.6.1).
  * Upload to Debian unstable.

 -- Anthony Fok <foka@debian.org>  Fri, 28 Feb 2020 09:21:46 -0700

sassc (3.6.1-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Simplify build: Stop build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2019 10:34:35 -0300
