## sassc 3.6.1%2B20201027

=== debian/changelog ===
sassc (3.6.1+20201027-2+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 10 Jul 2023 19:31:18 +0800

sassc (3.6.1+20201027-2) unstable; urgency=medium

  * mark sassc Multi-Arch: foreign;
    closes: bug#993943, thanks to Helmut Grohne
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + improve source script copyright-check
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Sep 2021 00:23:54 +0200

sassc (3.6.1+20201027-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + add support for SASS_PATH env variable

  [ Jonas Smedegaard ]
  * update watch file to track git commits
    (not releases: development has stagnated)
  * copyright: update coverage
  * declare compliance with Debian Policy 4.5.1
  * drop patch cherry-picked upstream now applied

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 06 Jan 2021 19:18:08 +0100
