## sassc 3.6.1+20201027

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CC       ?= gcc
-CXX      ?= g++
+CC       ?= cc
+CXX      ?= c++
 RM       ?= rm -f
 CP       ?= cp -a
 CHDIR    ?= chdir
@@ -25,24 +25,18 @@
 ifneq (,$(findstring /cygdrive/,$(PATH)))
 	UNAME := Cygwin
 	TARGET := Windows
-else
-	ifneq (,$(findstring Windows,$(PATH)))
-		UNAME := Windows
-		TARGET := Windows
-	else
-		ifneq (,$(findstring mingw32,$(MAKE)))
-			UNAME := MinGW
-			TARGET := Windows
-		else
-			ifneq (,$(findstring MINGW32,$(shell uname -s)))
-				UNAME = MinGW
-				TARGET := Windows
-			else
-				UNAME := $(shell uname -s)
-				TARGET := $(shell uname -s)
-			endif
-		endif
-	endif
+else ifneq (,$(findstring Windows_NT,$(OS)))
+	UNAME := Windows
+	TARGET := Windows
+else ifneq (,$(findstring mingw32,$(MAKE)))
+	UNAME := MinGW
+	TARGET := Windows
+else ifneq (,$(findstring MINGW32,$(shell uname -s)))
+	UNAME := MinGW
+	TARGET := Windows
+else
+	UNAME := $(shell uname -s)
+	TARGET := $(shell uname -s)
 endif
 
 ifeq ($(SASS_SASSC_PATH),)
@@ -76,14 +70,14 @@
 	endif
 	STATIC_LIBGCC    ?= 1
 	STATIC_LIBSTDCPP ?= 1
-	CXXFLAGS += -std=gnu++0x
-	LDFLAGS  += -std=gnu++0x
+	CXXFLAGS += -std=c++11
+	LDFLAGS  += -std=c++11
 else
 	STATIC_ALL       ?= 0
 	STATIC_LIBGCC    ?= 0
 	STATIC_LIBSTDCPP ?= 0
-	CXXFLAGS += -std=c++0x
-	LDFLAGS  += -std=c++0x
+	CXXFLAGS += -std=c++11
+	LDFLAGS  += -std=c++11
 endif
 
 ifneq ($(SASS_LIBSASS_PATH),)
@@ -136,8 +130,10 @@
 
 ifneq (Windows,$(TARGET))
 	ifneq (FreeBSD,$(UNAME))
-		LDFLAGS += -ldl
-		LDLIBS += -ldl
+    ifneq (OpenBSD,$(UNAME))
+			LDFLAGS += -ldl
+			LDLIBS += -ldl
+		endif
 	endif
 endif
 
@@ -160,6 +156,10 @@
 
 RESOURCES =
 SASSC_EXE = bin/sassc
+ifeq ($(UNAME),Darwin)
+	SHAREDLIB = lib/libsass.dylib
+	LIB_SHARED = $(SASS_LIBSASS_PATH)/lib/libsass.dylib
+endif
 ifeq (Windows,$(TARGET))
 	RESOURCES = libsass.res
 	SASSC_EXE = bin/sassc.exe
@@ -178,9 +178,20 @@
 SPEC_PATH = $(SASS_SPEC_PATH)
 all: sassc
 
+%.o: %.c
+	$(CC) $(CFLAGS) -c -o $@ $<
+
+%.o: %.rc
+	$(WINDRES) -i $< -o $@
+
+%.o: %.cpp
+	$(CXX) $(CXXFLAGS) -c -o $@ $<
+
 sassc: $(SASSC_EXE)
-
-$(SASSC_EXE): libsass build-$(BUILD)
+build: build-$(BUILD)
+libsass: libsass-$(BUILD)
+
+$(SASSC_EXE): libsass build
 
 $(DESTDIR)$(PREFIX)/:
 	$(MKDIR) $(DESTDIR)$(PREFIX)
@@ -191,20 +202,21 @@
 $(DESTDIR)$(PREFIX)/bin/%: bin/%
 	$(INSTALL) -D -v -m0755 "$<" "$@"
 
-install: $(DESTDIR)$(PREFIX)/$(SASSC_EXE)
+install: libsass-install-$(BUILD) \
+	$(DESTDIR)$(PREFIX)/$(SASSC_EXE)
 
 build-static: $(RESOURCES) $(OBJECTS) $(LIB_STATIC)
 	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $^ $(LDLIBS)
 
 build-shared: $(RESOURCES) $(OBJECTS) $(LIB_SHARED)
-	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $^ $(LDLIBS)
-	$(CP) $(LIB_SHARED) bin/.
+	$(CC) $(LDFLAGS) -o $(SASSC_EXE) $(RESOURCES) $(OBJECTS) \
+		-Wl,-rpath,$(DESTDIR)$(PREFIX)/lib \
+		-Wl,-rpath,$(SASS_LIBSASS_PATH)/lib \
+		$(LDLIBS) -L$(SASS_LIBSASS_PATH)/lib -lsass
 
 $(LIB_STATIC): libsass-static
 $(LIB_SHARED): libsass-shared
 
-libsass: libsass-$(BUILD)
-
 libsass-static:
 ifdef SASS_LIBSASS_PATH
 	$(MAKE) BUILD="static" -C $(SASS_LIBSASS_PATH)
@@ -219,8 +231,21 @@
 	$(error SASS_LIBSASS_PATH must be defined)
 endif
 
-%.o: %.c
-	$(CC) $(CFLAGS) -c -o $@ $<
+# nothing to do for static
+libsass-install-static: libsass-static
+ifdef SASS_LIBSASS_PATH
+	$(MAKE) BUILD="static" -C $(SASS_LIBSASS_PATH) install
+else
+	$(error SASS_LIBSASS_PATH must be defined)
+endif
+
+# install shared library
+libsass-install-shared: libsass-shared
+ifdef SASS_LIBSASS_PATH
+	$(MAKE) BUILD="shared" -C $(SASS_LIBSASS_PATH) install
+else
+	$(error SASS_LIBSASS_PATH must be defined)
+endif
 
 test: all
 	$(MAKE) -C $(SASS_LIBSASS_PATH) version
@@ -237,7 +262,7 @@
 
 clean:
 	rm -f $(OBJECTS) $(SASSC_EXE) \
-	      bin/*.so bin/*.dll libsass.res
+	      bin/*.so bin/*.dll bin/*.dylib libsass.res
 ifdef SASS_LIBSASS_PATH
 	$(MAKE) -C $(SASS_LIBSASS_PATH) clean
 endif
